Bug 131596 - Fix CONFLICTS for www/lynx
Summary: Fix CONFLICTS for www/lynx
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-11 21:40 UTC by Joseph S. Atkinson
Modified: 2009-02-26 15:20 UTC (History)
1 user (show)

See Also:


Attachments
lynx_conflicts.diff (307 bytes, patch)
2009-02-11 21:40 UTC, Joseph S. Atkinson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph S. Atkinson 2009-02-11 21:40:01 UTC

Lynx currently sets CONFLICTS to "lynx-current". The problem is, lynx-current installs as "lynx" with a different version number, which does not meet the expression requirments. Thus, when certain port utilities run, they detect missing dependancies (textproc/wv for example) and *overwrite* lynx-2.8.7 with lynx-2.8.6.

This simply changes the expression to properly detect when lynx-current is actually installed.

cc: jharris@widomaker.com (maintainer)
Comment 1 Edwin Groothuis freebsd_committer 2009-02-11 21:40:14 UTC
Maintainer of www/lynx,

Please note that PR ports/131596 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/131596

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-02-11 21:40:16 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Wesley Shields freebsd_committer 2009-02-12 01:36:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 4 Wesley Shields freebsd_committer 2009-02-26 15:13:53 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!
Comment 5 dfilter service freebsd_committer 2009-02-26 15:13:55 UTC
wxs         2009-02-26 15:13:45 UTC

  FreeBSD ports repository

  Modified files:
    www/lynx             Makefile 
  Log:
  - Fix CONFLICTS with www/lynx-current
  
  PR:             ports/131596
  Submitted by:   "Joseph S. Atkinson" <jsa@wickedmachine.net>
  Approved by:    jharris@widowmaker.com (maintainer timeout)
  
  Revision  Changes    Path
  1.132     +2 -2      ports/www/lynx/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"